ETHERNET(3)

NAME
packet.link.ethernet - ETHERNET module

DESCRIPTION

Decode ethernet layer (RFC 894) Ethernet II.

CLASSES

  class ETHERNET(baseobj.BaseObj)
Ethernet object

Usage:
    from packet.link.ethernet import ETHERNET

    x = ETHERNET(pktt)

Object definition:

ETHERNET(
    dst   = MacAddr(),  # destination MAC address
    src   = MacAddr(),  # source MAC address
    type  = int,        # payload type
    psize = int,        # payload data size
    data  = string,     # raw data of payload if type is not supported
)

Methods defined here:
---------------------

__init__(self, pktt)
Constructor

Initialize object's private data.

    pktt:
        Packet trace object (packet.pktt.Pktt) so this layer has
        access to the parent layers.

__str__(self)
String representation of object

The representation depends on the verbose level set by debug_repr().
If set to 0 the generic object representation is returned.
If set to 1 the representation of the object is condensed:
    '00:0c:29:54:09:ef -> 60:33:4b:29:6e:9d '

If set to 2 the representation of the object also includes the type
of payload:
    '00:0c:29:54:09:ef -> 60:33:4b:29:6e:9d, type: 0x800(IPv4)'

SEE ALSO
baseobj(3), packet.internet.arp(3), packet.internet.ipv4(3), packet.internet.ipv6(3), packet.link.ethernet_const(3), packet.link.macaddr(3), packet.link.vlan(3), packet.transport.ib(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)